//
//  SCURLReference.h
//  PluginInterface
//
//  Created by Tomas Franzén on 2006-09-10.
//  Copyright 2006 Lighthead Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SCURLReference : NSObject {
	NSRange referenceRange;
	NSString *URLText;
}

+ (id)URLReferenceFor:(NSString*)URL inRange:(NSRange)rangeInData;
- (id)initWithURLText:(NSString*)URL inRange:(NSRange)rangeInData;

- (NSRange)range;
- (void)setRange:(NSRange)range;

- (NSString*)URLText;
- (void)setURLText:(NSString*)URL;
@end
